## slim 0.1.0

=== DESCRIPTION ===
Package: slim
Title: Singular Linear Models for Longitudinal Data
Version: 0.1.0
Authors@R: person("Daniel", "Farewell",
    email = "farewelld@cf.ac.uk", role = c("aut", "cre"))
Description: Fits singular linear models to longitudinal data. Singular linear
    models are useful when the number, or timing, of longitudinal observations
    may be informative about the observations themselves. They are described
    in Farewell (2010) <doi:10.1093/biomet/asp068>, and are extensions of the
    linear increments model of Diggle et al. (2007)
    <doi:10.1111/j.1467-9876.2007.00590.x> to general longitudinal data.   
Depends: R (>= 3.2.0), data.table (>= 1.9.6)
Imports: stats, MASS (>= 7.3)
Suggests: lme4 (>= 1.1), jmcm (>= 0.1.6.0), gee (>= 4.13-19), ggplot2
        (>= 2.1.0), testthat (>= 1.0.2), knitr, rmarkdown
License: GPL-3
LazyData: true
RoxygenNote: 5.0.1
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2016-11-07 10:58:59 UTC; daniel
Author: Daniel Farewell [aut, cre]
Maintainer: Daniel Farewell <farewelld@cf.ac.uk>
Repository: CRAN
Date/Publication: 2016-11-07 17:22:17

## slim 0.1.1

=== DESCRIPTION ===
Package: slim
Title: Singular Linear Models for Longitudinal Data
Version: 0.1.1
Authors@R: person("Daniel", "Farewell",
    email = "farewelld@cf.ac.uk", role = c("aut", "cre"))
Description: Fits singular linear models to longitudinal data. Singular linear
    models are useful when the number, or timing, of longitudinal observations
    may be informative about the observations themselves. They are described
    in Farewell (2010) <doi:10.1093/biomet/asp068>, and are extensions of the
    linear increments model <doi:10.1111/j.1467-9876.2007.00590.x> to general
    longitudinal data.   
Depends: R (>= 3.2.0), data.table (>= 1.9.6)
Imports: stats, MASS (>= 7.3)
Suggests: lme4 (>= 1.1), jmcm (>= 0.1.6.0), gee (>= 4.13-19), ggplot2
        (>= 2.1.0), testthat (>= 1.0.2), knitr, rmarkdown
License: GPL-3
LazyData: true
RoxygenNote: 6.0.1
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2017-05-15 06:33:18 UTC; daniel
Author: Daniel Farewell [aut, cre]
Maintainer: Daniel Farewell <farewelld@cf.ac.uk>
Repository: CRAN
Date/Publication: 2017-05-15 06:39:33 UTC

## slim 1.2.6

=== Makefile ===
# Makefile for slim - generic Linux
#
# Edit the following section to adjust the options
# to fit into your operating system / distribution
#######################################################
CXX=/usr/bin/g++
CC=/usr/bin/gcc
CFLAGS=-I. -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/libpng12 -I/usr/include
LDFLAGS=-L/usr/X11R6/lib -lXft -lX11 -lfreetype -lXrender -lfontconfig -lpng12 -lz -lm -lcrypt -lXmu -lpng -ljpeg
CUSTOM=-DHAVE_SHADOW
PREFIX=/usr
CFGDIR=/etc
MANDIR=/usr/man
DESTDIR=
#######################################################

NAME=slim
VERSION=1.2.6

DEFINES=-DPACKAGE=\"$(NAME)\" -DVERSION=\"$(VERSION)\" \
		-DPKGDATADIR=\"$(PREFIX)/share/slim\" -DSYSCONFDIR=\"$(CFGDIR)\"

OBJECTS=jpeg.o png.o main.o image.o numlock.o cfg.o switchuser.o input.o app.o panel.o

all: slim

slim: $(OBJECTS)
	$(CXX) $(LDFLAGS) $(OBJECTS) -o $(NAME)

.cpp.o:
	$(CXX) $(CFLAGS) $(DEFINES) $(CUSTOM) -c $< -o $@

.c.o:
	$(CC) $(CFLAGS) $(DEFINES) $(CUSTOM) -c $< -o $@

install: slim install-theme
	install -D -m 755 slim $(DESTDIR)$(PREFIX)/bin/slim
	install -D -m 644 slim.1 $(DESTDIR)$(MANDIR)/man1/slim.1
	test -e $(DESTDIR)$(CFGDIR)/slim.conf || \
		install -D -m 644 slim.conf $(DESTDIR)$(CFGDIR)/slim.conf

clean:
	@rm -f slim *.o

dist:
	@rm -rf $(NAME)-$(VERSION)
	@mkdir $(NAME)-$(VERSION)
	@cp -r *.cpp *.h *.c Makefile Makefile.* COPYING ChangeLog INSTALL README TODO \
		xinitrc.sample slim.1 THEMES themes slim.conf $(NAME)-$(VERSION)
	@rm -rf $(NAME)-$(VERSION)/themes/.svn	$(NAME)-$(VERSION)/themes/default/.svn
	@tar cvzf $(NAME)-$(VERSION).tar.gz $(NAME)-$(VERSION)
	@rm -rf $(NAME)-$(VERSION)


install-theme:
	install -D -m 644 themes/default/slim.theme \
		 $(DESTDIR)$(PREFIX)/share/slim/themes/default/slim.theme
	install -D -m 644 themes/default/panel.png \
		 $(DESTDIR)$(PREFIX)/share/slim/themes/default/panel.png
	install -D -m 644 themes/default/background.jpg \
		 $(DESTDIR)$(PREFIX)/share/slim/themes/default/background.jpg

## slim 1.3.0

=== Makefile ===
--- 
+++ 
@@ -5,9 +5,14 @@
 #######################################################
 CXX=/usr/bin/g++
 CC=/usr/bin/gcc
-CFLAGS=-I. -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/libpng12 -I/usr/include
+CFLAGS=-Wall -I. -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/libpng12 -I/usr/include
+CXXFLAGS=$(CFLAGS)
 LDFLAGS=-L/usr/X11R6/lib -lXft -lX11 -lfreetype -lXrender -lfontconfig -lpng12 -lz -lm -lcrypt -lXmu -lpng -ljpeg
 CUSTOM=-DHAVE_SHADOW
+ifdef USE_PAM
+LDFLAGS+= -lpam
+CUSTOM+= -DUSE_PAM
+endif
 PREFIX=/usr
 CFGDIR=/etc
 MANDIR=/usr/man
@@ -15,12 +20,15 @@
 #######################################################
 
 NAME=slim
-VERSION=1.2.6
+VERSION=1.3.0
 
 DEFINES=-DPACKAGE=\"$(NAME)\" -DVERSION=\"$(VERSION)\" \
 		-DPKGDATADIR=\"$(PREFIX)/share/slim\" -DSYSCONFDIR=\"$(CFGDIR)\"
 
-OBJECTS=jpeg.o png.o main.o image.o numlock.o cfg.o switchuser.o input.o app.o panel.o
+OBJECTS=jpeg.o png.o main.o image.o numlock.o cfg.o switchuser.o app.o panel.o
+ifdef USE_PAM
+OBJECTS+=PAM.o
+endif
 
 all: slim
 
@@ -28,7 +36,7 @@
 	$(CXX) $(LDFLAGS) $(OBJECTS) -o $(NAME)
 
 .cpp.o:
-	$(CXX) $(CFLAGS) $(DEFINES) $(CUSTOM) -c $< -o $@
+	$(CXX) $(CXXFLAGS) $(DEFINES) $(CUSTOM) -c $< -o $@
 
 .c.o:
 	$(CC) $(CFLAGS) $(DEFINES) $(CUSTOM) -c $< -o $@

## slim 1.3.1

=== Makefile ===
--- 
+++ 
@@ -5,9 +5,9 @@
 #######################################################
 CXX=/usr/bin/g++
 CC=/usr/bin/gcc
-CFLAGS=-Wall -I. -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/libpng12 -I/usr/include
+CFLAGS=-Wall -I. -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/libpng12 -I/usr/include
 CXXFLAGS=$(CFLAGS)
-LDFLAGS=-L/usr/X11R6/lib -lXft -lX11 -lfreetype -lXrender -lfontconfig -lpng12 -lz -lm -lcrypt -lXmu -lpng -ljpeg
+LDFLAGS=-lXft -lX11 -lfreetype -lXrender -lfontconfig -lpng12 -lz -lm -lcrypt -lXmu -lpng -ljpeg
 CUSTOM=-DHAVE_SHADOW
 ifdef USE_PAM
 LDFLAGS+= -lpam
@@ -20,7 +20,7 @@
 #######################################################
 
 NAME=slim
-VERSION=1.3.0
+VERSION=1.3.1
 
 DEFINES=-DPACKAGE=\"$(NAME)\" -DVERSION=\"$(VERSION)\" \
 		-DPKGDATADIR=\"$(PREFIX)/share/slim\" -DSYSCONFDIR=\"$(CFGDIR)\"

## slim 1.3.1-0mint17

=== debian/changelog ===
slim (1.3.1-0mint17) helena-fluxbox; urgency=low

  * added autologin and theme selection support

 -- Kendall Weaver <kendalltweaver@gmail.com>  25 Jan 2010 13:46:00 -0500

slim (1.3.1-0mint16) helena-fluxbox; urgency=low

  * updated for helena-fluxbox

 -- Kendall Weaver <kendalltweaver@gmail.com>  09 Jan 2010 15:54:00 -0500

slim (1.3.1-0mint15) felicia; urgency=low  

  * Update for Gloria.
  * Now reads the DESKTOP variable from /etc/linuxmint/info for Default session.
  
 -- merlwiz79 <mintmerlwiz79@gmail.com>  Wed, 10 Jun 2009 06:08:00 -0600

slim (1.3.1-0mint14) felicia; urgency=low  

  * removed patch
    - xinerama_support.dpatch caused a bug with vmware
  
 -- merlwiz79 <mintmerlwiz79@gmail.com>  Fri, 20 Mar 2009 23:42:00 -0600

slim (1.3.1-0mint13) felicia; urgency=low  

  * updated update_slim_wmlist to make sure there is a /etc/slim.conf even if deleted
  
 -- merlwiz79 <mintmerlwiz79@gmail.com>  Fri, 27 Feb 2009 06:11:00 -0600

slim (1.3.1-0mint12) felicia; urgency=low  

  * updated patches
    - custom_keys.dpatch to have correct welcome_msg in fall back configuration.
  
 -- merlwiz79 <mintmerlwiz79@gmail.com>  Fri, 27 Feb 2009 04:30:00 -0600

slim (1.3.1-0mint11) felicia; urgency=low  

  * updated slim.postinst to deal with slim.dpkg-old and slim.dpkg-new if found
  * updated patches
    - 01_slim.conf.dpatch to change default config if slim.conf is corrupt
    - xinerama_support.dpatch to add changes from 01_slim.conf.dpatch
    - custom_keys.dpatch to add changes from 01_slim.conf.dpatch
  
 -- merlwiz79 <mintmerlwiz79@gmail.com>  Fri, 27 Feb 2009 03:29:00 -0600

slim (1.3.1-0mint10) felicia; urgency=low  

  * added new patches
    - kerberos_login_fix.dpatch
    - allow_custom_config.dpatch
    - xinerama_support.dpatch
  * updated slim.init.d for support of /etc/slim-custom.conf
  * updated update_slim_wmlist for support of /etc/slim-custom.conf
  
 -- merlwiz79 <mintmerlwiz79@gmail.com>  Thu, 26 Feb 2009 23:15:00 -0600

slim (1.3.1-0mint9) felicia; urgency=low  

  * updated xinitrc_sample.dpatch
  * updated /etc/slim/Login for more sessions   
  * updated /etc/init.d/slim now updates sessions when a new one is installed. thanks to shane 
  
 -- merlwiz79 <mintmerlwiz79@gmail.com>  Sun, 22 Feb 2009 01:42:00 -0600

slim (1.3.1-0mint8) felicia; urgency=low  

  * updated /etc/slim/Default not exporting system language
  * changed custom_keys.dpatch halt command was set for the sleep command
  * updated custom_keys.dpatch to patch default theme to show Welcome message
  
 -- merlwiz79 <mintmerlwiz79@gmail.com>  Sat, 21 Feb 2009 23:49:00 -0600

slim (1.3.1-0mint7) felicia; urgency=low  

  * fixed /etc/slim/Default not exporting system language
  * fixed /etc/init.d/slim not exporting system suppoort
  * added custom_keys.dpatch for F2 - F6 custom commands.
  * added xinitrc_sample.dpatch for using our settings.

 -- merlwiz79 <mintmerlwiz79@gmail.com>  Sat, 21 Feb 2009 20:07:00 -0600

slim (1.3.1-0mint6) felicia; urgency=low  

  * added /etc/slim/Login for logging into sessions
  * updated update_slim_wmlist
  * updated 01_slim.conf.dpatch

 -- merlwiz79 <mintmerlwiz79@gmail.com>  Tue, 17 Feb 2009 20:21:00 -0600

slim (1.3.1-0mint5) felicia; urgency=low  

  * removed 04_cfg.cpp_obscured_password_option.dpatch
  * created my own 01_slim.conf.dpatch
  * added update_slim_wmlist to update sessions.
  * using /etc/slim/Default as sessionstart_cmd and it runs /etc/gdm/PostLogin/Default if found.

 -- merlwiz79 <mintmerlwiz79@gmail.com>  Tue, 17 Feb 2009 20:21:00 -0600

slim (1.3.1-0mint4) felicia; urgency=low  

  *Added patch to restart Xserver if killed (by c-a-backspace ie)
   - 06-restart-xserver.dpatch

 -- merlwiz79 <mintmerlwiz79@gmail.com>  Wed, 04 Feb 2009 01:40:00 -0600

slim (1.3.1-0mint3) felicia; urgency=low
  
  *Added theme debian moreblue orbit

 -- merlwiz79 <mintmerlwiz79@gmail.com>  Wed, 04 Feb 2009 01:40:00 -0600

slim (1.3.1-0mint2) felicia; urgency=low
  
  *Added patch to not show anything in the password feild.
   - 04_cfg.cpp_obscured_password_option.dpatch

 -- merlwiz79 <mintmerlwiz79@gmail.com>  Tue, 03 Feb 2009 14:42:00 -0600

slim (1.3.1-0mint1) felicia; urgency=low

  * Package new upstream version 1.3.1.
  * Removed Patches
    - 02_Makefile.dpatch
    - 03_cfg.cpp.dpatch
04_cfg.cpp_obscured_password_option.dpatch
 -- merlwiz79 <mintmerlwiz79@gmail.com>  Tue, 03 Feb 2009 14:42:00 -0600

slim (1.3.0-1) unstable; urgency=low

  [ Mike Massonnet <mmassonnet@gmail.com> ]

  * Package new upstream version 1.3.0. Closes: #447913
    - Build against libpam (add build dependency libpam0g-dev).
    - DPatch cfg.cpp to include <stdlib.h> and fix FTBFS with GCC-4.3.
      Closes: #455138
    - Add /etc/X11/Xsession.d/20slim_locale to export the LANG.
      Closes: #440862
    - Replace xfce4-session with startxfce4 and add ion3. Closes: #426466
    - Don't set the DPI. Closes: #428407
  * The code concerning the environment init has drastically changed in this
    new version, and Steve Kemp did a security audit over it. Closes: #435841
  * Debconf translation:
    - New Finnish translation. Closes: #457447
    - Update Portuguese translation. Closes: #445495
  * Minor changes:
    - Suggest scrot as default screenshoter
    - Refined the description
    - Set the Homepage field
    - Bump standards version to 3.7.3
    - Patch Makefile (LDFLAGS) to remove unnecessary links

  [ Christian Perrier <bubulle@debian.org> ]

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #426233, #423279
  * Debconf translation updates:
    - German and all others taken from xdm. Closes: #426532, #424677
    - Romanian. Closes: #428955
    - Vietnamese. Closes: #427145

 -- Mike Massonnet <mmassonnet@gmail.com>  Wed, 24 Oct 2007 22:44:07 +0200

slim (1.2.6-1) unstable; urgency=low

  * Initial release (Closes: #337578)
  * Add default Debian theme.
  * Add openbox to the sessions.


## slim 1.3.1-0mint18

=== debian/changelog ===
slim (1.3.1-0mint18) helena-lxde; urgency=low

  * Updated for helena-lxde

 -- Kendall Weaver <kendalltweaver@gmail.com>  16 Feb 2010 11:29:00 -0500

=== debian/control ===
Source: slim
Section: x11
Priority: optional
Maintainer: Kendall Weaver <kendalltweaver@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: slim
Architecture: i386
Depends: libc6 (>= 2.4), libfontconfig1 (>= 2.4.0), libfreetype6 (>= 2.2.1), libgcc1 (>= 1:4.1.1), libjpeg62, libpam0g (>= 0.99.7.1), libpng12-0 (>= 1.2.13-4), libstdc++6 (>= 4.1.1), libx11-6, libxft2 (>> 2.1.1), libxmu6, libxrender1, zlib1g (>= 1:1.1.4), debconf (>= 1.2.9) | debconf-2.0, libfile-desktopentry-perl, inotify-tools
Suggests: imagemagick
Provides: x-display-manager
Description: desktop-independent graphical login manager for X11
 SLiM aims to be light and simple, although completely configurable through
 themes and an option file. It is particularly suitable for machines that
 don't require remote logins.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/slim.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/slim
	mkdir -p $(CURDIR)/debian/slim
	cp -r $(CURDIR)/etc $(CURDIR)/debian/slim/
	cp -r $(CURDIR)/usr $(CURDIR)/debian/slim/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## slim 1.3.2

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 CC=/usr/bin/gcc
 CFLAGS=-Wall -I. -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/libpng12 -I/usr/include
 CXXFLAGS=$(CFLAGS)
-LDFLAGS=-lXft -lX11 -lfreetype -lXrender -lfontconfig -lpng12 -lz -lm -lcrypt -lXmu -lpng -ljpeg
+LDFLAGS=-lXft -lX11 -lfreetype -lXrender -lfontconfig -lpng12 -lz -lm -lcrypt -lXmu -lpng -ljpeg -lrt
 CUSTOM=-DHAVE_SHADOW
 ifdef USE_PAM
 LDFLAGS+= -lpam
@@ -20,12 +20,12 @@
 #######################################################
 
 NAME=slim
-VERSION=1.3.1
+VERSION=1.3.2
 
 DEFINES=-DPACKAGE=\"$(NAME)\" -DVERSION=\"$(VERSION)\" \
 		-DPKGDATADIR=\"$(PREFIX)/share/slim\" -DSYSCONFDIR=\"$(CFGDIR)\"
 
-OBJECTS=jpeg.o png.o main.o image.o numlock.o cfg.o switchuser.o app.o panel.o
+OBJECTS=jpeg.o png.o main.o image.o numlock.o cfg.o switchuser.o app.o panel.o util.o
 ifdef USE_PAM
 OBJECTS+=PAM.o
 endif

## slim 1.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)

set(PROJECT_NAME slim)
project(${PROJECT_NAME})

#Pretty colors
set(CMAKE_COLOR_MAKEFILE ON)
#Dont force verbose
set(CMAKE_VERBOSE_MAKEFILE ON)
#Include current dir
set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

INCLUDE(CheckIncludeFile)
INCLUDE(CheckCCompilerFlag)
INCLUDE(CheckCXXCompilerFlag)
INCLUDE(CheckTypeSize)

# Version
set(SLIM_VERSION_MAJOR "1")
set(SLIM_VERSION_MINOR "3")
set(SLIM_VERSION_PATCH "4")
set(SLIM_VERSION "${SLIM_VERSION_MAJOR}.${SLIM_VERSION_MINOR}.${SLIM_VERSION_PATCH}")

set(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "Installation Directory")
set(PKGDATADIR "${CMAKE_INSTALL_PREFIX}/share/slim")
set(SYSCONFDIR "/etc")
set(MANDIR "${CMAKE_INSTALL_PREFIX}/share/man")

set(SLIM_DEFINITIONS)
if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD" OR
		${CMAKE_SYSTEM_NAME} MATCHES "NetBSD" OR
		${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD"
		)
	set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DNEEDS_BASENAME")
else()
	set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DHAVE_SHADOW")
endif()

set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DPACKAGE=\"slim\"")
set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DVERSION=\"${SLIM_VERSION}\"")
set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DPKGDATADIR=\"${PKGDATADIR}\"")
set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DSYSCONFDIR=\"${SYSCONFDIR}\"")

# Flags
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -g -O2" )
set(CMAKE_CPP_FLAGS "${CMAKE_CPP_FLAGS} -Wall -g -O2" )

# source 
set(slim_srcs
	main.cpp
	app.cpp
	cfg.cpp
	image.cpp
	numlock.cpp
	panel.cpp
	switchuser.cpp
	util.cpp
	log.cpp
	png.c
	jpeg.c
)

if(USE_PAM)
	set(slim_srcs ${slim_srcs} PAM.cpp)
endif(USE_PAM)
if(USE_CONSOLEKIT)
	set(slim_srcs ${slim_srcs} Ck.cpp)
endif(USE_CONSOLEKIT)

add_executable(${PROJECT_NAME} ${slim_srcs})

#Set the custom CMake module directory where our include/lib finders are
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

find_package(X11 REQUIRED)
find_package(Freetype REQUIRED)
find_package(JPEG REQUIRED)
find_package(PNG REQUIRED)
find_package(ZLIB REQUIRED)

# Fontconfig
set(FONTCONFIG_DIR ${CMAKE_MODULE_PATH})
find_package(FONTCONFIG REQUIRED)
if(FONTCONFIG_FOUND)
	message("\tFontConfig Found")
	target_link_libraries(${PROJECT_NAME} ${FONTCONFIG_LIBRARY})
	include_directories(${FONTCONFIG_INCLUDE_DIR})
endif(FONTCONFIG_FOUND)

# PAM
if(USE_PAM)
	message("\tPAM Enabled")
	find_package(PAM)
	if(PAM_FOUND)
		message("\tPAM Found")
		set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DUSE_PAM")
		target_link_libraries(${PROJECT_NAME} ${PAM_LIBRARY})
		include_directories(${PAM_INCLUDE_DIR})
	else(PAM_FOUND)
		message("\tPAM Not Found")
	endif(PAM_FOUND)
else(USE_PAM)
	message("\tPAM disabled")
endif(USE_PAM)

# ConsoleKit
if(USE_CONSOLEKIT)
	find_package(CkConnector)
	message("\tConsoleKit Enabled")
	if(CKCONNECTOR_FOUND)
		message("\tConsoleKit Found")
		# DBus check
		find_package(DBus REQUIRED)
		if(DBUS_FOUND)
			message("\tDBus Found")
			target_link_libraries(${PROJECT_NAME} ${DBUS_LIBRARIES})
			include_directories(${DBUS_ARCH_INCLUDE_DIR})
			include_directories(${DBUS_INCLUDE_DIR})
			set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DUSE_CONSOLEKIT")
			target_link_libraries(${PROJECT_NAME} ${CKCONNECTOR_LIBRARIES})
			include_directories(${CKCONNECTOR_INCLUDE_DIR})
		else(DBUS_FOUND)
			message("\tDBus Not Found")
		endif(DBUS_FOUND)
	else(CKCONNECTOR_FOUND)
		message("\tConsoleKit Not Found")
		message("\tConsoleKit disabled")
	endif(CKCONNECTOR_FOUND)
else(USE_CONSOLEKIT)
	message("\tConsoleKit disabled")
endif(USE_CONSOLEKIT)

# system librarys
find_library(M_LIB m)
find_library(RT_LIB rt)
find_library(CRYPTO_LIB crypt)

add_definitions(${SLIM_DEFINITIONS})

#Set up include dirs with all found packages
include_directories(
	${X11_INCLUDE_DIR}
	${X11_Xft_INCLUDE_PATH}
	${X11_Xrender_INCLUDE_PATH}
	${FREETYPE_INCLUDE_DIR_freetype2}
	${X11_Xmu_INCLUDE_PATH}
	${ZLIB_INCLUDE_DIR}
	${JPEG_INCLUDE_DIR}
	${PNG_INCLUDE_DIR}
)

#Set up library with all found packages
target_link_libraries(${PROJECT_NAME}
	${M_LIB}
	${RT_LIB}
	${CRYPTO_LIB}
	${X11_X11_LIB}
	${X11_Xft_LIB}
	${X11_Xrender_LIB}
	${X11_Xmu_LIB}
	${FREETYPE_LIBRARY}
	${JPEG_LIBRARIES}
	${PNG_LIBRARIES}
	)

####### install
# slim
install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION bin )
# man file
install(FILES slim.1 DESTINATION ${MANDIR}/man1/)
# configure
install(FILES slim.conf DESTINATION ${SYSCONFDIR})
# themes directory
subdirs(themes)

=== debian/changelog ===
slim (1.3.4-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add debian/patches/slim-fix-env-alloc.patch:
    - fix memory corruption in slim child. (Closes: #733916)
  * debian/slim.upstart: Add upstart job (Closes: #704049)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 07 Feb 2014 10:23:12 +0100

slim (1.3.4-2) unstable; urgency=low

  * Add new theme (Joy) and switch theme from SpaceFun to Joy.
    (Closes: #678475)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 28 Jun 2012 08:59:51 +0900

slim (1.3.4-1) unstable; urgency=low

  * New upstream release. (Closes: #592681, #648120)
  * Update debian/control.
    - Add xauth to Suggests. (Closes: #587320)
  * debian/slim.pam:
    - enable pam_loginuid. (Closes: #677436)
  * Add patches/disable_log.patch. Disable log to stderr.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 27 Jun 2012 00:37:44 +0900

slim (1.3.3-2) unstable; urgency=low

  * Add freeglut3-dev to Build-Depends.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 04 May 2012 05:46:43 +0900

slim (1.3.3-1) unstable; urgency=low

  * New upstream release. (Closes: #614749, #472855, #612023)
  * Remove unnecessary patches.
    - patches/fix-black-screen.patch
    - patches/fix_ftbfs-as-needed.patch
    - patches/Makefile.patch
  * Update debian/control.
    - Update Standards-Version to 3.9.3.
    - Update Build-Depends. Add cmake, libck-connector-dev and zlib1g-dev.
    - Add dbus and consolekit to Depends.
  * Update debian/rules.
    - Rewrite debian/rules. covert to dh.
  * Update patch for slim.conf
  * Update compat to 9
  * Add directory for pam.d from install file.
  * Remove directory for theme files to debian/slim.dirs.
  * Add new template for daemon name
  * Change source format to 3.0(quilt)
    - Remove *.shar files
  * Update postinst and add postrm and prerm for slim.
  * Add pam file for slim. (Closes: #476248, #664806)
  * Update translations.
    - Update Polish translation. (Closes: #661248)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 06 Apr 2012 10:48:50 +0900

slim (1.3.2-1) unstable; urgency=low

  * New upstream release. (Closes: #633583, #605214)
  * Update debian/control.
    - Bump up Standards-Version to 3.9.2.
    - Change Build-Depends from libjpeg62-dev to libjpeg-dev. (Closes: #644805)
    - Change Build-Depends from libpng12-dev to libpng-dev.
  * Fefresh patches.
    - Drop patches/ftbfs_gcc_4.4.patch. Applied to upstream.
    - Drop patches/xauth_secret_support.patch. Applied to upstream.
    - Drop patches/insecure_PATH_assignment.patch. Applied to upstream.
    - Drop patches/fix-manpage.patch. Applied to upstream.
    - Update patches/Makefile.patch and debian/patches/slim-conf.patch.
    - Add patches/fix_ftbfs_as-needed.patch.
      Fix build failure with ld --as-needed. (Closes: #607185)
  * Update debian/rules.
    - Fix lintian debian-rules-missing-recommended-target build-{arch,indep}.
  * Update debian/README.Debian.
    - Fix lintian spelling-error-in-readme-debian.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 06 Feb 2012 00:53:36 +0900

slim (1.3.1-8) unstable; urgency=low

  * New theme.
    - Add new theme debian-spacefun and set it as default (Closes: #603256).
	  Thanks to Yves-Alexis Perez.
    - Update patches/slim-conf.patch.
    - Add remove function of debian/debian-spacefun to debian/rules.
    - Add debian-spacefun to debian/slim.install.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 14 Nov 2010 07:40:05 +0900

slim (1.3.1-7) unstable; urgency=high

  * Update debian/control.
    - Bump up Standards-Version to 3.9.1.
  * Fix show black screen on On kfreebsd (Closes: #586593).
    debian/patches/fix-black-screen.patch
  * Fix CVE-2010-2945: insecure PATH assignment (Closes: #594414).
    debian/patches/insecure_PATH_assignment.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 26 Aug 2010 12:40:13 +0900

slim (1.3.1-6) unstable; urgency=low

  * Update debian/control.
    - Bump up Standards-Version.
  * Fix default path (Closes: #581775).
    Thanks to Andrei Popescu.
  * Debconf translation:
    - Update Danish translation (Closes: #587800).
      Thanks to Joe Dalton.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 08 Jul 2010 05:41:40 +0900

slim (1.3.1-5) unstable; urgency=low

  * Update debian/control.
    - Bump up Standards-Version.
  * Update patches/slim-conf.patch
    - scrot default location to /root. (Closes: #537604)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 09 Feb 2010 22:58:12 +0900

slim (1.3.1-4) unstable; urgency=low

  * Fix FTBFS with GCC 4.4. (Closes: #553703)
    Update patches/ftbfs_gcc_4.4.patch
  * Update 20slim_locale. (Closes: #536541) 

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 07 Dec 2009 23:15:33 +0900

slim (1.3.1-3) unstable; urgency=low

  * Remove x-terminal-emulator from Recommends and change from
    x-terminal-emulator to xterm in slim.conf file (Closes: #536542)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 17 Oct 2009 08:03:36 +0900

slim (1.3.1-2) unstable; urgency=low

  * Add Jens Peter Secher to Uploaders list.
  * Update es.po (Closes: #510469)
  * Fix FTBFS with GCC 4.4. (Closes: #505332)
  * Fix insecure xauth secret. (Closes: #529306)
  * Fix allows login as root without password. (Closes: #536542)
     - Wrote explanation about this problem to README.Debian.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 21 Sep 2009 15:52:33 +0900

slim (1.3.1-1) unstable; urgency=low

  * New Maintainer (Nobuhiro Iwamatsu).
  * New upstream release.
  * Update Standards-Version.
  * Update patch. 
    Makefile.patch slim-conf.patch 
  * Remove patch.
    ftbfs-gcc4.3-cfg.cpp.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 23 Aug 2009 13:42:54 +0900

slim (1.3.0-2) unstable; urgency=low

  * Minor changes:
    - Move from dpatch to quilt.
    - Export every possible locale env-var (updated
      local/Xsession.d/20slim_locale). Closes: #441630


=== debian/control ===
Source: slim
Section: x11
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Uploaders: Jens Peter Secher <jps@debian.org>
Build-Depends: debconf, debhelper (>= 9), libjpeg-dev, libpam0g-dev,
	libpng-dev, libxft-dev, libxmu-dev, po-debconf, sharutils,
	libck-connector-dev, zlib1g-dev, cmake, freeglut3-dev
Standards-Version: 3.9.3
Homepage: http://slim.berlios.de/

Package: slim
Architecture: any
Provides: x-display-manager
Recommends: xterm 
Suggests: scrot, xauth
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0, dbus, consolekit
Description: desktop-independent graphical login manager for X11
 SLiM aims to be light and simple, although completely configurable through
 themes and an option file. It is particularly suitable for machines that
 don't require remote logins.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

CMAKE_FLAGS = -DUSE_PAM=yes -DUSE_CONSOLEKIT=yes

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_installinit:
	dh_installinit --noscripts
#dh_installinit --no-restart-on-upgrade --no-start \
#		--update-rcd-params="start 99 2 3 4 5 . stop 1 0 1 6 ."

override_dh_installpam:
	dh_installpam --name=slim

override_dh_install:
	dh_install --list-missing

	# pam
	#install -D -m 0644  pam.sample \
		#$(CURDIR)/debian/slim/etc/pam.d/slim
	# remove COPYRIGHT files.
	rm -rf \
		debian/slim/usr/share/slim/themes/debian-moreblue-orbit/COPYING \
		debian/slim/usr/share/slim/themes/debian-moreblue/COPYING \
		debian/slim/usr/share/slim/themes/debian-spacefun/COPYING \
		debian/slim/usr/share/slim/themes/debian-joy/COPYING

## slim 1.3.6

=== debian/changelog ===
slim (1.3.6-5.1+devuan6) unstable; urgency=medium

  * Move updates-alternatives --remove to prerm.
  * Add missing dependency on lsb-base, required by initscript.
  * Fix typo and remove related lintian override.
  * Use virtual package default-logind rather than libpam-elogind.
  * Reorder dependencies to prefer default-logind over consolekit.
  * Add debian-branch and debian-tag defaults to d/gbp.conf.
  * Remove Changed-By field.
  * Add myself to uploaders.
  * Add Vcs-* fields.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 07 Jan 2020 11:09:49 +0000

slim (1.3.6-5.1+devuan5) unstable; urgency=medium

  * Fix closes bug number.
  * Revert to invoking /etc/X11/Xsession with explicit shell. Sometimes
    this file seesm to lose its executable bit.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 14 Dec 2019 09:24:35 +0000

slim (1.3.6-5.1+devuan4) unstable; urgency=medium

  * Bump version number and target archive for unstable.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Thu, 13 Jun 2019 21:55:02 +0000

slim (1.3.6-5.1+devuan3) experimental; urgency=medium

  * Bump version number so that upgrades work.
  * Use sessreg to update utmp, wtmp and lastlog (Closes: #301).
  * Don't use bash when exec will do.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 05 Mar 2019 16:56:23 +0000

slim (1.3.6-5+devuan6) experimental; urgency=medium

  * If consolekit is not available, fall back on logind PAM session.
  * Remove unused duplicate quilt patch.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 11 Feb 2019 17:38:54 +0000

slim (1.3.6-5+devuan5) unstable; urgency=medium

  * Update Maintainers, Uploaders, Changed-By
  * add gbp.conf with forced compression-level

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Mon, 11 Feb 2019 22:37:19 +1300

slim (1.3.6-5+devuan4) unstable; urgency=medium

  * change to using /etc/alternatives and cleanup
  * Remove debian-curve - moved to desktop-base
  * change link for alternatives to desktop-slim-themes (same as desktop-base)
  * setup for using alternatives for selecting theme
  * Removed devuan-curve theme
  * fix alternatives setup

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Wed, 21 Dec 2016 00:41:45 +1300

slim (1.3.6-5+devuan3) unstable; urgency=medium

  * Merged the new artwork

 -- Dima Krasner <dima@dimakrasner.com>  Mon, 08 Jun 2015 13:20:21 +0300

slim (1.3.6-5+devuan2) unstable; urgency=medium

  * Rebranded for Devuan

 -- Dima Krasner <dima@dimakrasner.com>  Tue, 21 Apr 2015 17:49:43 +0300

slim (1.3.6-5+devuan1) unstable; urgency=medium

  * Restored ConsoleKit support

 -- Dima Krasner <dima@dimakrasner.com>  Fri, 27 Feb 2015 18:08:04 +0200

slim (1.3.6-5) unstable; urgency=medium

  * Fix bugged Debian-Lines theme. (Closes: #776693)
    Thanks HJ <punx665@gmail.com>

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sat, 14 Feb 2015 16:04:30 +0100

slim (1.3.6-4) unstable; urgency=medium

  * Build slim without deprecated consolekit support (Closes: #751618):
    - Drop consolekit from Depends and libck-connector-dev
      from Build-Depends in debian/control.
    - Disable consolekit in CMAKE_FLAGS in debian/rules.
    Thanks to Elimar Riesebieter <riesebie@lxtec.de>!
  * Bump Standards-Version to 3.9.6, no changes required.
  * Update homepage in debian/control and debian/copyright.
  * Update debian/watch to point to new homepage.
  * Update and clean up debian/copyright.
  * Add new Lines theme for Debian Jessie:
    - Refresh debian/patches/slim-conf.patch
    - Update debian/slim.install, debian/rules and
      debian/source/include-binaries for new files.
    - Fix key binding for session selection. (Closes: #756519)
  * Make package lintian-clean:
    - Add manpage-formatting-fixes.patch to escape a minus
      sign and remove a trailing space in the slimlock.1.
    - Update debian/copyright.
    - Add lintian-overrides for info tags which can be ignored.
    - Add lintian-override for check-gpg-signature as a GPG
      signature is not provided by upstream yet.
  * Rewrite debian/patches/fix-systemd-service.patch, debian/slim.posinst:
    - Ensure we are starting slim on systemd only when selected as
      default. Thanks Didier Roche <didrocks@ubuntu.com> for the patch.
      (Closes: #748668)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Tue, 13 Jan 2015 20:12:03 +0100

slim (1.3.6-3) unstable; urgency=high

  * debian/patches:
    - Replace no-slimlock.patch with no-slimlock-with-pam.patch to fix
      build with pam support on non-linux arches. (Closes: #743864)
    - Update libslim-cmake-fixes.patch.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 25 Apr 2014 16:57:11 +0200

slim (1.3.6-2) unstable; urgency=medium

  * debian/rules:
    - Fix the if statement for hurd-i386 build architecture test which
      previously disabled PAM on non-Hurd archs. (Closes: #742904, #742950)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Tue, 01 Apr 2014 14:11:43 +0200

slim (1.3.6-1) unstable; urgency=medium

  * Add myself to the list of uploaders with permission from Nobuhiro Iwamatsu.
  * Fix systemd support: (Closes: #741511)
    - debian/fix-systemd-service.patch: Add missing
      "WantedBy=graphical.target" slim.service file.
    - debian/control: Add dh-systemd to build depends.
    - debian/rules: Add dh_systemd support.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 14 Mar 2014 23:20:35 +0100

slim (1.3.6-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules:
    - Test for hurd-i386 build architecture as "gnu", not
      "hurd" to really fix FTBFS.
  * debian/control:
    - Update long description. (Closes: #659857)
  * debian/patches:
    - Add slim-add-sessiondir.patch: to set directory that contains
      the xsessions. (Closes: #740394)
    - Update slim-conf.patch.
    - Add libslim-cmake-fixes.patch: Fix FTBFS on Ubuntu.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 02 Mar 2014 18:21:42 +0100

slim (1.3.6-0.2) unstable; urgency=medium

  * Non-maintainer upload.


=== debian/control ===
Source: slim
Section: x11
Priority: optional
Maintainer: Devuan Dev Team <devuan-dev@lists.dyne.org>
Uploaders:
	Mark (LeePen) Hindley <mark@hindley.org.uk>,
	Daniel Reurich <daniel@centurion.net.nz>,
	Dima Krasner <dima@dimakrasner.com>,
Build-Depends: debconf, debhelper (>= 9), libjpeg-dev, libpam0g-dev,
	libpng-dev, libxft-dev, libxmu-dev, po-debconf, sharutils, cmake,
	freeglut3-dev, libpthread-stubs0-dev, libxrandr-dev, libck-connector-dev
Standards-Version: 3.9.6
Vcs-Git: https://git.devuan.org/devuan-packages/slim.git
Vcs-Browser: https://git.devuan.org/devuan-packages/slim
Homepage: http://sourceforge.net/projects/slim.berlios/

Package: slim
Architecture: any
Provides: x-display-manager
Recommends: xterm
Suggests: scrot, xauth
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0, dbus, default-logind | logind | consolekit, x11-xserver-utils, lsb-base
Description: desktop-independent graphical login manager for X11
 SLiM aims to be light, simple and independent from the various
 desktop environments. Although completely configurable through
 themes and an option file. It is particularly suitable for machines
 that don't require remote logins.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

CMAKE_FLAGS = -DUSE_PAM=yes -DUSE_CONSOLEKIT=yes -DBUILD_SHARED_LIBS=no -DBUILD_SLIMLOCK=yes

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
 CMAKE_FLAGS = -DUSE_PAM=yes -DUSE_CONSOLEKIT=yes -DBUILD_SHARED_LIBS=no -DBUILD_SLIMLOCK=no
endif

ifeq ($(DEB_HOST_ARCH_OS),hurd)
 CMAKE_FLAGS = -DUSE_PAM=yes -DUSE_CONSOLEKIT=yes -DBUILD_SHARED_LIBS=no -DBUILD_SLIMLOCK=no
endif

%:
	dh $@ --buildsystem=cmake 

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_installinit:
	dh_installinit --noscripts
#dh_installinit --no-restart-on-upgrade --no-start \
#		--update-rcd-params="start 99 2 3 4 5 . stop 1 0 1 6 ."

override_dh_installpam:
	dh_installpam --name=slim

override_dh_install:
	dh_install --list-missing

	# pam
	#install -D -m 0644  pam.sample \
		#$(CURDIR)/debian/slim/etc/pam.d/slim
	# remove COPYRIGHT files.
	rm -rf \
		debian/slim/usr/share/slim/themes/devuan-curve/COPYING

## slim 1.3.6-5.3build1+11.0trisquel0

=== debian/changelog ===
slim (1.3.6-5.3build1+11.0trisquel0) aramo; urgency=medium

  * Add trisquel-belenos theme.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 19 Mar 2024 06:56:09 +0000

slim (1.3.6-5.3build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:33:08 +0000

slim (1.3.6-5.3) unstable; urgency=high

  * Non-maintainer upload
  * Fix build error with gcc 11. Closes: #984339

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 04 Jan 2022 07:02:51 +0100

slim (1.3.6-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Build-Depends to use debhelper (>= 9.20160709) instead of
    dh-systemd. (Closes: #958637)

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Sep 2020 13:22:22 +0200

slim (1.3.6-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * slim.service: Drop BusName=, fixing endless (re-)start loop under systemd.
    Thanks Aggelos Avgerinos <evaggelos.avgerinos@gmail.com> for testing.
    (Closes: #861474)
  * slim.service: Drop Conflicts=plymouth-quit.service and
    OnFailure=plymouth-quit.service, as slim does not stop plymouth by itself.
    Retain After=plymouth-quit.service for correct ordering though, which
    should be sufficient to solve #860465.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 02 May 2017 16:48:36 +0300

=== debian/control ===
Source: slim
Section: x11
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Jens Peter Secher <jps@debian.org>, Mateusz Łukasik <mati75@linuxmint.pl>
Build-Depends: debconf, debhelper (>= 9.20160709), libjpeg-dev, libpam0g-dev,
	libpng-dev, libxft-dev, libxmu-dev, po-debconf, sharutils, cmake,
	freeglut3-dev, libpthread-stubs0-dev, libxrandr-dev
Standards-Version: 3.9.6
Homepage: http://sourceforge.net/projects/slim.berlios/

Package: slim
Architecture: any
Provides: x-display-manager
Recommends: xterm 
Suggests: scrot, xauth
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0, dbus,
 lsb-base (>= 3.0-6)
Description: desktop-independent graphical login manager for X11
 SLiM aims to be light, simple and independent from the various
 desktop environments. Although completely configurable through
 themes and an option file. It is particularly suitable for machines 
 that don't require remote logins.

## slim 1.3.6-5.3build3trisquel0

=== debian/changelog ===
slim (1.3.6-5.3build3trisquel0) ecne; urgency=medium

  * Add trisquel-belenos theme.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 07 Oct 2024 17:33:52 +0000

slim (1.3.6-5.3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:02:14 +1100

slim (1.3.6-5.3build2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:15:39 +0000

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Uploaders: Jens Peter Secher <jps@debian.org>, Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends: debconf, debhelper (>= 9.20160709), libjpeg-dev, libpam0g-dev,
 	libpng-dev, libxft-dev, libxmu-dev, po-debconf, sharutils, cmake,

## slim 1.3.6.10-really1.3.4-2

=== debian/changelog ===
slim (1.3.6.10-really1.3.4-2-1) unstable; urgency=medium

  * antiX-17.1 build 
  * remove consolekit depends

 -- anticapitalista <antix@operamail.com>  Wed, 03 Jan 2018 17:25:18 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

CMAKE_FLAGS = -DUSE_PAM=yes -DUSE_CONSOLEKIT=yes

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_installinit:
	dh_installinit --noscripts
#dh_installinit --no-restart-on-upgrade --no-start \
#		--update-rcd-params="start 99 2 3 4 5 . stop 1 0 1 6 ."

override_dh_installpam:
	dh_installpam --name=slim

override_dh_install:
	dh_install --list-missing

	# pam
	#install -D -m 0644  pam.sample \
		#$(CURDIR)/debian/slim/etc/pam.d/slim
	# remove COPYRIGHT files.
	rm -rf \
		debian/slim/usr/share/slim/themes/default

override_dh_usrlocal:

## slim 1.3.6.10.1-really1.3.4-2

=== debian/changelog ===
slim (1.3.6.10.1-really1.3.4-2-1) unstable; urgency=medium

  * antiX-18 build
  * edited antixccslim.sh

 -- anticapitalista <antix@operamail.com>  Thu, 18 Oct 2018 17:36:17 +0300

=== debian/control ===
Source: slim
Section: x11
Priority: optional
Maintainer: anticapitalista <antiX@operamail.com>
Uploaders: Jens Peter Secher <jps@debian.org>
Build-Depends: debconf, debhelper (>= 9), libjpeg-dev, libpam0g-dev,
	libpng-dev, libxft-dev, libxmu-dev, po-debconf, sharutils,
	zlib1g-dev, cmake, freeglut3-dev
Standards-Version: 3.9.8
Homepage: http://slim.berlios.de/

Package: slim
Architecture: any
Provides: x-display-manager
Recommends: xterm 
Suggests: scrot, xauth
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0, dbus
Description: desktop-independent graphical login manager for X11
 SLiM aims to be light and simple, although completely configurable through
 themes and an option file. It is particularly suitable for machines that
 don't require remote logins.

## slim 1.3.6.10.2

=== debian/changelog ===
slim (1.3.6.10.2) unstable; urgency=medium

  * antiX buster build 

 -- anticapitalista <antix@operamail.com>  Tue, 30 Apr 2019 15:50:48 +0300

slim (1.3.6-5+devuan6) unstable; urgency=medium

  * If consolekit is not available, fall back on logind PAM session.
  * Remove unused duplicate quilt patch.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 11 Feb 2019 17:38:54 +0000

## slim 1.3.6.10.3

=== debian/changelog ===
slim (1.3.6.10.3) unstable; urgency=medium

  * F login fixes by using xsessions desktop files

 -- anticapitalista <antix@operamail.com>  Thu, 02 May 2019 14:14:52 +0300

=== debian/control ===
Source: slim
Section: x11
Priority: optional
Maintainer: anticapitalista <antiX@operamail.com>
Uploaders: Dima Krasner <dima@dimakrasner.com>, Daniel Reurich <daniel@centurion.net.nz>
Build-Depends: debconf, debhelper (>= 9), libjpeg-dev, libpam0g-dev,
	libpng-dev, libxft-dev, libxmu-dev, po-debconf, sharutils, cmake,
	freeglut3-dev, libpthread-stubs0-dev, libxrandr-dev, libck-connector-dev
Standards-Version: 3.9.6
Homepage: http://sourceforge.net/projects/slim.berlios/

Package: slim
Architecture: any
Provides: x-display-manager
Recommends: xterm
Suggests: scrot, xauth
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0, dbus, consolekit | libpam-elogind | logind
Description: desktop-independent graphical login manager for X11
 SLiM aims to be light, simple and independent from the various
 desktop environments. Although completely configurable through
 themes and an option file. It is particularly suitable for machines
 that don't require remote logins.

## slim 1.3.6.10.4

=== debian/changelog ===
slim (1.3.6.10.4) unstable; urgency=medium

  * added test -f $PIDFILE || exit 0 to stop/ in slim.init

 -- anticapitalista <antix@operamail.com>  Thu, 09 May 2019 16:29:46 +0300

## slim 1.3.6.10.5

=== debian/changelog ===
slim (1.3.6.10.5) unstable; urgency=medium

  * added comments to desktop files

 -- anticapitalista <antix@operamail.com>  Sat, 13 Jul 2019 14:59:47 +0100

## slim 1.3.6.10.6

=== debian/changelog ===
slim (1.3.6.10.6) unstable; urgency=medium

  * accommodates multiple slim themes and verifies selected background bugfix - thanks model99

 -- anticapitalista <antix@operamail.com>  Sun, 10 Nov 2019 16:22:49 +0200

## slim 1.3.6.10.7

=== debian/changelog ===
slim (1.3.6.10.7) unstable; urgency=medium

  * Various edits to /etc/slim.conf
  * remove dbus dependency 

 -- anticapitalista <antix@operamail.com>  Mon, 21 Dec 2020 17:18:28 +0200

## slim 1.3.6.10.8

=== debian/changelog ===
slim (1.3.6.10.8) unstable; urgency=medium

  * remove systemd check
  * set default to use desktop-session

 -- anticapitalista <antix@operamail.com>  Thu, 24 Dec 2020 15:24:03 +0200

## slim 1.3.6.10.9

=== debian/changelog ===
slim (1.3.6.10.9) unstable; urgency=medium

  * back to old postinst file
  * BobC's slim theme for hd screens

 -- anticapitalista <antix@operamail.com>  Mon, 28 Dec 2020 16:17:32 +0200

## slim 1.3.6.10.10

=== debian/changelog ===
slim (1.3.6.10.10) unstable; urgency=medium

  * edits to antiX theme

 -- anticapitalista <antix@operamail.com>  Fri, 01 Jan 2021 17:21:58 +0200
